1. Forum używa plików Cookies. Dowiedz się więcej o celu ich używania i możliwości zmiany ustawień Cookies w przeglądarce. Czytaj więcej...

ROZWIĄZANE Problemy z narzędziami do plików POT i PO

Dyskusja w 'Hosting Business Cloud' rozpoczęta przez użytkownika Domko, 7 Grudzień 2017.

  1. Domko

    Domko Nowy użytkownik

    Wiadomości:
    2
    Docenione treści:
    0
    Witam.

    W ostatnim czasie zacząłem używać na swoim koncie skryptu, w którym tworzone są pliki PO i POT. Następnie pliki PO powinny zostać scalone i zaktualizowane na podstawie globalnego pliku POT.

    I tu pojawia się problem w kwestii dostępu do niektórych narzędzi. Nie ma problemu z użyciem "xgettext" - zarówno z poziomu PHP, jak i z poziomu konsoli.

    Natomiast nie działają komendy "msgcat" i "msgmerge". Z poziomu PHP występuje błąd. Spróbowałem z konsoli i okazało się, że przy użyciu którejkolwiek z tych komend pojawia się komunikat typu:

    Kod:
    -bash: ./msgcat: Permission denied
    Czy to jest normalne zachowanie konta hostingowego na home.pl? Niezależnie od tego moje pytanie jest takie: czy dałoby się odblokować te dwie komendy, aby można było ich normalnie używać?

    Dziękuję.
     
  2. Mariusz

    Mariusz BOK home.pl home.pl Administrator forum

    Wiadomości:
    2 933
    Docenione treści:
    295
    Skonsultowałem temat u naszych administratorów (numer sprawy: ZUIW-87221) i potwierdzam, że jest to poprawne zachowanie konta hostingowego w home.pl. Odblokowanie wskazanych przez Ciebie komend "msgcat" i "msgmerge" nie jest możliwe na hostingu współdzielonym. W tym przypadku wymagane byłoby przejście na serwer VPS lub serwer/hosting dedykowany.
     
    Domko lubi to.
  3. Domko

    Domko Nowy użytkownik

    Wiadomości:
    2
    Docenione treści:
    0
    Dziękuję.

    Myślałem, że jak działa komenda "xgettext" to i pozostałe są dostępne. Teraz już wszystko jasne.
     

Poleć forum znajomym